﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp6
{
    public partial class MainWindow : Form
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        Lab1 lab1 = new Lab1();
        Lab2 lab2 = new Lab2();
        Lab3 lab3 = new Lab3();
        private void lab1ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            lab1 = new Lab1();
            if (Lab1.Active == false)
            {
                lab1.MdiParent = this;
                lab1.Show();
            }
        }

        private void lab2ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            lab2 = new Lab2();
            if (Lab2.Active == false)
            {
                lab2.MdiParent = this;
                lab2.Show();
            }
        }

        private void lab3ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            lab3 = new Lab3();
            if (Lab3.Active == false)
            {
                lab3.MdiParent = this;
                lab3.Show();
            }
        }

        private void closeAllWindowToolStripMenuItem_Click(object sender, EventArgs e)
        {
            foreach(Form child in MdiChildren)
            {
                child.Close();
            }
        }

        private void messageToolStripMenuItem_Click(object sender, EventArgs e)
        {
            string msg = lab1.MessagePull();
            msg += $"\n{lab2.MessagePull()}";
            msg += $"\n{lab3.MessagePull()}";
            MessageBox.Show($"{msg}", "Новое сообщение");
        }
    }
}
