﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp6
{
    public partial class Lab3 : Form
    {
        public static bool Active;
        public Lab3()
        {
            InitializeComponent();
        }

        private void Lab3_Load(object sender, EventArgs e)
        {
            Active = true;
        }

        private void Lab3_FormClosed(object sender, FormClosedEventArgs e)
        {
            Active = false;
        }

        private void btnCalculate_Click(object sender, EventArgs e)
        {
            try
            {
                int[] A = tbInputArrayA.Text.Split(' ').Select(int.Parse).ToArray();
                int K = int.Parse(tbInputK.Text);
                MessageBox.Show($"Ответ: {ArrayToList(LinqRequest(A, K))}", "Ответ");
            } catch
            {
                MessageBox.Show($"Ошибка заполнения поля", "Ошибка");
            }
            
        }
        private string ArrayToList(int[] array)
        {
            string result = "";
            foreach (int i in array)
            {
                result += i.ToString();
            }
            return result;
        }
        private int[] LinqRequest(int[] A, int K) 
        {
            var result = A.Where(num => num >= 10 && num <= 99 && num % 2 != 0) //Выбираем нечетные двузначные числа
                .Skip(K - 1) //Отбрасываем первые К-1 элементы и возвращаем оставшиеся
                .OrderByDescending(num => num); //Сортируем числа по убыванию
            return result.ToArray();
        }
        public string MessagePull()
        {
            string message = $"Lab3 | Последовательность А: {tbInputArrayA.Text} | Число K: {tbInputK.Text}";
            return message;
        }
    }
}
